Loading...
Searching...
No Matches
PtmAtoms Class Reference

`#include <trc_pkt_decode_ptm.h>`

## Public Member Functions

| PtmAtoms ()
| ~PtmAtoms ()
void | initAtomPkt (const ocsd_pkt_atom &atom, const ocsd_trc_index_t &root_index)
| initialise the atom and index values
const ocsd_atm_val | getCurrAtomVal () const
const int | numAtoms () const
| number of atoms
const ocsd_trc_index_t | pktIndex () const
| originating packet index
void | clearAtom ()
| clear the current atom, set the next.
void | clearAll ()
| clear all

## Detailed Description

Definition at line 44 of file trc_pkt_decode_ptm.h.

## Constructor & Destructor Documentation

## PtmAtoms()

PtmAtoms::PtmAtoms | ( |  | ) |

inline

Definition at line 47 of file trc_pkt_decode_ptm.h.

## ~PtmAtoms()

PtmAtoms::~PtmAtoms | ( |  | ) |

inline

Definition at line 48 of file trc_pkt_decode_ptm.h.

## Member Function Documentation

## clearAll()

void PtmAtoms::clearAll | ( |  | ) |

inline

clear all

Definition at line 95 of file trc_pkt_decode_ptm.h.

## clearAtom()

void PtmAtoms::clearAtom | ( |  | ) |

inline

clear the current atom, set the next.

Definition at line 86 of file trc_pkt_decode_ptm.h.

## getCurrAtomVal()

const ocsd_atm_val PtmAtoms::getCurrAtomVal | ( |  | ) | const

inline

Definition at line 71 of file trc_pkt_decode_ptm.h.

## initAtomPkt()

void PtmAtoms::initAtomPkt | ( | const ocsd_pkt_atom & | atom,
|  | const ocsd_trc_index_t & | root_index )

inline

initialise the atom and index values

Definition at line 65 of file trc_pkt_decode_ptm.h.

## numAtoms()

const int PtmAtoms::numAtoms | ( |  | ) | const

inline

number of atoms

Definition at line 76 of file trc_pkt_decode_ptm.h.

## pktIndex()

const ocsd_trc_index_t PtmAtoms::pktIndex | ( |  | ) | const

inline

originating packet index

Definition at line 81 of file trc_pkt_decode_ptm.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-wPklVS/libopencsd-1.5.5/decoder/include/opencsd/ptm/trc_pkt_decode_ptm.h